<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'FifteenMainEvent',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <section
    class="main-event"
    data-aos="fade-up"
    data-aos-duration="800"
    data-aos-delay="800"
  >
    <SlpRow class="slp-mb-md-96 slp-mb-48">
      <SlpTypography tag="h2" variant="heading2-bold">
        {{ data.header }}
      </SlpTypography>
    </SlpRow>
    <SlpRow>
      <SlpColumn
        v-for="speaker in data.speakers"
        :key="speaker.name"
        class="slp-mb-48 main-event__wrapper"
        :cols="6"
        size="lg"
      >
        <div class="main-event__speaker">
          <nuxt-img
            class="main-event__speaker__image"
            :src="speaker.picture.url"
            :alt="speaker.picture.alt"
            loading="lazy"
            format="webp"
            quality="99"
          />
          <div class="main-event__speaker-body">
            <SlpTypography class="slp-mb-32" tag="h5" variant="heading5-bold">
              {{ speaker.name }}
            </SlpTypography>
            <SlpTypography class="slp-mb-32" tag="p" variant="body1">
              {{ speaker.title }}
            </SlpTypography>
            <SlpTypography tag="p" variant="body1">
              {{ speaker.location }}
            </SlpTypography>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style scoped lang="scss">
.main-event {
  &__wrapper {
    flex: 1;
  }
  &__speaker {
    height: 100%;
    background: $color-primary-300;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    position: relative;

    @media (min-width: $breakpoint-md) {
      &:nth-child(even) {
        margin-left: $spacing-48;
      }

      &:nth-child(odd) {
        margin-right: $spacing-48;
      }
    }

    &__image {
      object-fit: cover;
      max-height: 240px;
      height: 240px;

      @media (min-width: $breakpoint-md) {
        position: absolute;
        top: -32px;
        left: -20px;
        max-width: 220px;
        width: 220px;
        border-bottom-right-radius: 100px;
      }
    }
  }

  &__speaker-body {
    padding: $spacing-32;

    @media (min-width: $breakpoint-md) {
      padding-left: 250px;
    }
  }
}
</style>
